import Vue from 'vue'
import App from './App.vue'
import axios from 'axios'
import routes from './router/index';
import VueRouter from 'vue-router';
import echarts from 'echarts';
import ElementUI from 'element-ui';
import 'element-ui/lib/theme-chalk/index.css';
import '@/assets/styles/publicEle.scss'
Vue.prototype.axios = axios
Vue.prototype.$echarts = echarts;
Vue.use(VueRouter);
Vue.use(ElementUI);
Vue.config.productionTip = false


const router = new VueRouter({
  routes
});
router.beforeEach((to, from, next) => {

  if (to.meta.title) {
    document.title = to.meta.title
  }
  next()
})


new Vue({
  router,
  render: h => h(App),
}).$mount('#app')
