import Home from '../views/home.vue';
import AdmittanceDetail from '../views/admittanceDetail.vue';
import ControlDetail from '../views/controlDetail.vue';
import DangerDetail from '../views/dangerDetail.vue';
import IllegalDetail from '../views/illegalDetail.vue';
import InspectDetail from '../views/inspectDetail.vue';
import LabPersonDetail from '../views/labPersonDetail.vue';
import PlanDetail from '../views/planDetail.vue';
import RiskDetail from '../views/riskDetail.vue';
import WarningDetail from '../views/warningDetail.vue';
import WorkInfoDetail from '../views/workInfoDetail.vue'
import WorkPlanDetail from '../views/workPlanDetail.vue';
import ClassifyGradeDetail from '../views/classifyGradeDetail.vue';

const router = [
    {
      path: '/',
      component: Home,
      name: 'home',
      meta: {
         title: '实验室安全智能监测与控制系统',
      },
    },
    {
        path: '/admittanceDetail',
        component: AdmittanceDetail,
        name: 'admittanceDetail',
        meta: {
            title: '安全准入办理统计',
        },
    },
    {
        path: '/controlDetail',
        component: ControlDetail,
        name: 'controlDetail',
        meta: {
            title: '分级管控',
        },
    },
    {
        path: '/dangerDetail',
        component: DangerDetail,
        name: 'dangerDetail',
        meta: {
            title: '安全隐患统计',
        },
    },
    {
        path: '/illegalDetail',
        component: IllegalDetail,
        name: 'illegalDetail',
        meta: {
            title: '人员违规统计',
        },
    },
    {
        path: '/inspectDetail',
        component: InspectDetail,
        name: 'inspectDetail',
        meta: {
            title: '安全检查',
        },
    },
    {
        path: '/labPersonDetail',
        component: LabPersonDetail,
        name: 'labPersonDetail',
        meta: {
            title: '进入实验室人员',
        },
    },
    {
        path: '/planDetail',
        component: PlanDetail,
        name: 'planDetail',
        meta: {
            title: '预案执行统计',
        },
    },
    {
        path: '/riskDetail',
        component: RiskDetail,
        name: 'riskDetail',
        meta: {
            title: '危险源统计',
        },
    },
    {
        path: '/warningDetail',
        component: WarningDetail,
        name: 'warningDetail',
        meta: {
            title: '预案',
        },
    },
    {
        path: '/workInfoDetail',
        component: WorkInfoDetail,
        name: 'workInfoDetail',
        meta: {
            title: '工作通知',
        },
    },
    {
        path: '/workPlanDetail',
        component: WorkPlanDetail,
        name: 'workPlanDetail',
        meta: {
            title: '工作计划',
        },
    },
    {
        path: '/classifyGradeDetail',
        component: ClassifyGradeDetail,
        name: 'classifyGradeDetail',
        meta: {
            title: '实验室分类分级',
        },
    },
    {
        path: '/*',
        redirect: '/',
    },

]


export default router
